Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class RuntimeVisibleAnnotations

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.Annotations
              org.apache.tomcat.util.bcel.classfile.RuntimeVisibleAnnotations

All Implemented Interfaces:
  Serializable, Cloneable

    public class RuntimeVisibleAnnotations

extends Annotations

represents an annotation that is represented in the class file and is provided to the JVM.

Since:
  5.3
Version:
  $Id: RuntimeVisibleAnnotations
Author:
  D. Brosius
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`RuntimeVisibleAnnotations(int name_index, int length, DataInputStream file, ConstantPool constant_pool)`

Method Summary
`Attribute` `copy(ConstantPool constant_pool)`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Annotations
`getAnnotationEntries, setAnnotationTable, writeAnnotations`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeVisibleAnnotations

    public RuntimeVisibleAnnotations(int name_index,
                                     int length,
                                     DataInputStream file,
                                     ConstantPool constant_pool)
                              throws IOException

Parameters:
  `name_index` - Index pointing to the name Code
  `length` - Content length in bytes
  `file` - Input stream
  `constant_pool` - Array of constants
Throws:
  `IOException`

Method Detail

### copy

    public Attribute copy(ConstantPool constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.